Crashpad

Public Attributes | List of all members
crashpad::MinidumpUTF8String Struct Reference

A variable-length UTF-8-encoded string carried within a minidump file. More...

`#include "minidump/minidump_extensions.h"`

## Public Attributes
uint32_t | Length
| The length of the Buffer field in bytes, not including the `NUL` terminator. More...
uint8_t | Buffer [0]
| The string, encoded in UTF-8, and terminated with a `NUL` byte.

## Detailed Description

A variable-length UTF-8-encoded string carried within a minidump file.

See also
  MINIDUMP_STRING

## Member Data Documentation

## ◆ Length

uint32_t crashpad::MinidumpUTF8String::Length

The length of the Buffer field in bytes, not including the `NUL` terminator.

Note
  This field is interpreted as a byte count, not a count of Unicode code points.

The documentation for this struct was generated from the following file:

- minidump/minidump_extensions.h